# $Revision: 1.19 $, $Date: 2004/05/07 00:32:00 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Devel
%define	pnam	StackTrace
Summary:	Devel::StackTrace - stack trace and stack trace frame objects
Summary(pl):	Devel::StackTrace - ledzenie stosu i ramek obiektw
Name:		perl-%{pdir}-%{pnam}
Version:	1.11
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	a5d2088a531ceeec82b989c742f9382e
BuildRequires:	perl-Module-Build
%{?with_tests:BuildRequires:	perl-Test-Simple >= 0.46}
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Devel::StackTrace module contains two classes, Devel::StackTrace
and Devel::StackTraceFrame.  The goal of this object is to encapsulate
the information that can found through using the caller() function,
as well as providing a simple interface to this data.

%description -l pl
Modu Devel::StackTrace zawiera dwie klasy: Devel::StackTrace
i Devel::StackTraceFrame.  Zadaniem tego obiektu jest obudowanie
znalezionej przy uyciu funkcji caller() informacji, oraz udostpnienie
prostego interfejsu do tych danych.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Build.PL \
	installdirs=vendor
./Build

%{?with_tests:./Build test}

%install
rm -rf $RPM_BUILD_ROOT

./Build install \
	destdir=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE Changes README
%{perl_vendorlib}/Devel/StackTrace.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Devel-StackTrace.spec,v $
Revision 1.19  2004/05/07 00:32:00  ankry
- rel. 2

Revision 1.18  2004/04/20 13:08:13  ankry
- license fixes/unification

Revision 1.17  2004/04/14 14:37:50  ankry
- cosmetics

Revision 1.16  2004/04/13 11:54:33  adamg
- updated to 1.11

Revision 1.15  2004/04/12 00:28:23  qboosh
- new-style bcond, switched to Build.PL
- BR: perl-Module-Build (it killed builders when using Makefile.PL w/o this package)

Revision 1.14  2004/04/11 08:28:37  agaran
 - updated to 1.10, not sure if %install change is correct

Revision 1.13  2003/10/01 21:32:12  migo
- up to 1.04

Revision 1.12  2003/08/18 08:08:42  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.11  2003/05/28 13:00:36  malekith
- massive attack: source-md5

Revision 1.10  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.9  2003/04/11 18:59:23  radek
- BR: perl-devel; do not BR: perl

Revision 1.8  2003/03/01 18:05:27  radek
- should be ready for perl-5.8.0; release++

Revision 1.7  2003/02/24 20:31:52  radek
- use the __perl macro

Revision 1.6  2003/02/18 15:31:37  ankry
- massive attack: change CPAN URLs

Revision 1.5  2003/01/23 09:51:07  radek
- version 1.03

Revision 1.4  2002/09/21 21:04:03  radek
- version 1.02

Revision 1.3  2002/08/27 18:53:56  qboosh
- pl Summary

Revision 1.2  2002/08/25 09:03:57  radek
- version 1.00, informative summary, conditional tests; STBR

Revision 1.1  2002/07/15 07:42:07  depesz
- spec by Radosaw Zieliski
